=== debian/changelog ===
ocsync (0.70.4-0ubuntu1) raring; urgency=low

  * Ubuntu upload

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 06 Mar 2013 17:08:01 +0000

ocsync (0.70.4) UNRELEASED; urgency=low

  * bump revision 

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 05 Mar 2013 04:22:48 +0100

ocsync (0.70.3-1) experimental; urgency=low

  * Initial release for debian. (Closes: #699690) 

 -- Sandro Knauß <bugs@sandroknauss.de>  Sat, 09 Feb 2013 17:30:09 +0100

csync-owncloud (0.50.8-0ubuntu2) quantal; urgency=low

  * Use mhash instead of OpenSSL to calculate MD5 hashes to avoid
    GPL+OpenSSL license conflicts.
  * Add a symbols file.
  * Enable parallel building.
  * Install csync user guide.

 -- Felix Geyer <debfx@ubuntu.com>  Wed, 22 Aug 2012 11:38:47 +0200

csync-owncloud (0.50.8-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 13 Aug 2012 16:56:40 +0100

csync-owncloud (0.50.7-0ubuntu1) quantal; urgency=low

  * Initial release.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jul 2012 16:44:59 +0100
