=== debian/control ===
Source: ocsync
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.5), libsqlite3-dev, libneon27-gnutls-dev, libssh-dev, 
 libsmbclient-dev, check, asciidoc
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/git/pkg-owncloud/ocsync.git
Vcs-browser: http://git.debian.org/?p=pkg-owncloud/ocsync.git
Homepage: http://owncloud.org/dev/sync-clients/linux-build/

Package: ocsync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libocsync0 (= ${binary:Version})
Description: user level bidirectional client only file synchronizer
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.

Package: libocsync0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Recommends: libocsync-plugin-smb, libocsync-plugin-sftp
Description: library for user level bidirectional client only file synchronizer
 This is the major library for csync.
 .
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.

Package: libocsync-plugin-smb
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libocsync0 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: SMB plugin for csync
 This plug-in allows applications using csync to synchronize with a
 Samba or Windows server.
 .
 This is the version of csync used by OwnCloud.

Package: libocsync-plugin-sftp
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libocsync0 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: SFTP plugin for csync
 This plug-in allows applications using csync to synchronize with an
 SFTP server.
 .
 This is the version of csync used by OwnCloud.

Package: libocsync-plugin-owncloud
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, libocsync0 (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Description: OwnCloud plugin for csync
 This plug-in allows applications using csync to synchronize with an
 OwnCloud server.
 .
 This is the version of csync used by OwnCloud.

Package: libocsync-dev
Architecture: any
Section: libdevel
Depends: libocsync0 (= ${binary:Version}), ${misc:Depends}
Description: evelopment files for ocsync
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.
 .
 This package contains the library development files.
