=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo -DWITH_LOG4C=OFF \
		-DLOG_TO_CALLBACK=ON -DSYSCONF_INSTALL_DIR=/etc -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH)
