=== src/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,7 @@
-project(libcsync C)
+project(libcsync)
 
 add_subdirectory(std)
+add_subdirectory(httpbf)
 
 # Statically include sqlite and iniparser
 if (CSYNC_STATIC_COMPILE_DIR)
@@ -16,6 +17,7 @@
 
 
 set(CSYNC_PUBLIC_INCLUDE_DIRS
+  ${CMAKE_CURRENT_BINARY_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_SOURCE_DIR}
   CACHE INTERNAL "csync public include directories"
@@ -46,6 +48,13 @@
     list(APPEND CSYNC_LINK_LIBRARIES ${ICONV_LIBRARIES})
 endif()
 
+set(BLACKLIST_ON_ERROR 0 CACHE BOOL
+  "If an errors occurs three times on the same file, do not attempt to process that file any further.")
+
+if(BLACKLIST_ON_ERROR)
+    add_definitions(-DBLACKLIST_ON_ERROR)
+endif()
+
 set(csync_SRCS
   csync.c
   csync_config.c
@@ -56,10 +65,13 @@
   csync_time.c
   csync_util.c
   csync_misc.c
+  csync_lock.c
 
   csync_update.c
   csync_reconcile.c
   csync_propagate.c
+
+  csync_rename.cc
 
   vio/csync_vio.c
   vio/csync_vio_handle.c
@@ -67,11 +79,10 @@
   vio/csync_vio_local.c
 )
 
-if(NOT WIN32)
-  list(APPEND csync_SRCS csync_lock.c)
-endif()
+configure_file(csync_version.h.in csync_version.h)
 
 set(csync_HDRS
+  ${CMAKE_CURRENT_BINARY_DIR}/csync_version.h
   csync.h
   vio/csync_vio.h
   vio/csync_vio_file_stat.h
