=== debian/changelog ===
ocsync (0.80.0-1) unstable; urgency=low

  * 0.80.0 is a stable version, so release to unstable
  * Updated debian/libocsync0.symbols
  * Removed asciidoc from Build-Deps
  * Removed version dependency from Build-Dep cmake
  * Build with pkgkde_symbolshelper
  * Added pkg-kde-tools to Build-Deps

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 15 Aug 2013 22:48:31 +0200

ocsync (0.70.92-1) experimental; urgency=low

  * New upstream release
  * Added Olivier Goffart as copyright holder
  * Updated debian/libocsync0.symbols
  * Updated watch file for testing version
  * Updated debian/copyright

 -- Sandro Knauß <bugs@sandroknauss.de>  Sun, 16 Jun 2013 00:54:23 +0200

ocsync (0.70.7-1) unstable; urgency=low

  [ David Prévot ]
  * Update Vcs-Git, Vcs-Browser, Homepage and Source fields

  [ Sandro Knauß ]
  * Imported Upstream version 0.70.7 (Closes: #705500)
  * Updated patches to use DEP3
  * Removed debian/patches/typos (Fixed upstream)
  * Updated debian/patches/0001-csync_config-Drop-iniparser-dependency.patch
  * Updated Symbols File
  * Added debian/patches/freebsd.patch to compile at FreeBSD
  * Bumped Standards-Version to 3.9.4

 -- Sandro Knauß <bugs@sandroknauss.de>  Sun, 12 May 2013 23:46:46 +0200
