=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: ocsync
 Section: net
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
+Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
 Uploaders: Sandro Knauß <bugs@sandroknauss.de>
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.5), libsqlite3-dev, libneon27-gnutls-dev, libssh-dev, 
- libsmbclient-dev, check, asciidoc
-Standards-Version: 3.9.3
-Vcs-Git: git://git.debian.org/git/pkg-owncloud/ocsync.git
-Vcs-browser: http://git.debian.org/?p=pkg-owncloud/ocsync.git
-Homepage: http://owncloud.org/dev/sync-clients/linux-build/
+Build-Depends: debhelper (>= 9), cmake, libsqlite3-dev, libneon27-gnutls-dev, libssh-dev,
+ libsmbclient-dev, check, pkg-kde-tools
+Standards-Version: 3.9.4
+Vcs-Git: git://anonscm.debian.org/pkg-owncloud/ocsync.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/ocsync.git
+Homepage: http://owncloud.org/sync-clients/
 
 Package: ocsync
 Architecture: any
@@ -71,7 +70,7 @@
 Architecture: any
 Section: libdevel
 Depends: libocsync0 (= ${binary:Version}), ${misc:Depends}
-Description: evelopment files for ocsync
+Description: development files for ocsync
  csync is an implementation of a file synchronizer which provides the
  feature of roaming home directories for Linux clients.
  .
