=== debian/watch ===
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://owncloud.org/sync-clients/ http://download.owncloud.com/download/ocsync-(.*)\.tar\.bz2
