## ocsync 0.90.4

=== debian/changelog ===
ocsync (0.90.4-1) unstable; urgency=low

  * New upstream release.
  * Finding libsmbclient when using samba-4.0

 -- Sandro Knauß <bugs@sandroknauss.de>  Tue, 22 Oct 2013 00:33:14 +0200

ocsync (0.90.2-1) unstable; urgency=low

  * New upstream release.
  * Remove patches (applied upstream):
    - spelling-error-transferred.patch
    - update_manpage
  * Updated patch freebsd.patch (thanks Chamberlain & Toscano)
  * Added patch path_max.patch (thanks Signell & Toscano)

 -- Sandro Knauß <bugs@sandroknauss.de>  Thu, 26 Sep 2013 18:58:21 +0200

ocsync (0.90.0-1) unstable; urgency=low

  * New upstream release
  * Moved libocsync0 to section libs
  * Updated debian/libocsync0.symbols
  * Added patch to fix spelling-error-in-binary: transferred

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 11 Sep 2013 20:03:13 +0200
