=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
  This is the version of csync used by OwnCloud.
 
 Package: libocsync0
+Section: libs
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
