## ocsync 0.91.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,12 +7,12 @@
 set(APPLICATION_NAME ${PROJECT_NAME})
 
 set(APPLICATION_VERSION_MAJOR "0")
-set(APPLICATION_VERSION_MINOR "80")
-set(APPLICATION_VERSION_PATCH "0")
+set(APPLICATION_VERSION_MINOR "91")
+set(APPLICATION_VERSION_PATCH "4")
 
 set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")
 
-set(LIBRARY_VERSION "0.2.0")
+set(LIBRARY_VERSION "0.2.1")
 set(LIBRARY_SOVERSION "0")
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
@@ -25,11 +25,8 @@
 include(DefinePlatformDefaults)
 include(DefineCompilerFlags)
 include(DefineOptions.cmake)
-include(CPackConfig.cmake)
 
 include(DefineInstallationPaths)
-# install .dlls to bin/
-set(BIN_INSTALL_DIR "bin" CACHE PATH "-")
 
 # disallow in-source build
 include(MacroEnsureOutOfSourceBuild)
@@ -39,7 +36,9 @@
 include(MacroAddPlugin)
 include(MacroCopyFile)
 
-find_package(Iconv)
+if (NOT WIN32)
+    find_package(Iconv)
+endif (NOT WIN32)
 find_package(CMocka)
 if (CMOCKA_FOUND AND UNIT_TESTING)
     include(AddCMockaTest)
@@ -59,8 +58,6 @@
 endif (MEM_NULL_TESTS)
 
 add_subdirectory(src)
-add_subdirectory(modules)
-add_subdirectory(client)
 add_subdirectory(config)
 add_subdirectory(doc)
