=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,17 +3,16 @@
 add_subdirectory(std)
 add_subdirectory(httpbf)
 
-# Statically include sqlite and iniparser
+# Statically include sqlite
 if (CSYNC_STATIC_COMPILE_DIR)
     set(SQLITE3_INCLUDE_DIRS "")
     set(SQLITE3_LIBRARIES "")
-    set(INIPARSER_LIBRARIES "")
-    set(INIPARSER_INCLUDE_DIRS "")
     include_directories(${CSYNC_STATIC_COMPILE_DIR})
 else (CSYNC_STATIC_COMPILE_DIR)
-    find_package(SQLite3 REQUIRED)
-    find_package(Iniparser REQUIRED)
+    find_package(SQLite3 3.3.9 REQUIRED)
 endif()
+
+find_package(Neon 0.29.0 REQUIRED)
 
 
 set(CSYNC_PUBLIC_INCLUDE_DIRS
@@ -24,9 +23,9 @@
 )
 
 set(CSYNC_PRIVATE_INCLUDE_DIRS
-  ${INIPARSER_INCLUDE_DIRS}
   ${SQLITE3_INCLUDE_DIRS}
   ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
+  ${HTTPBF_PUBLIC_INCLUDE_DIRS}
   ${CMAKE_BINARY_DIR}
 )
 
@@ -39,12 +38,13 @@
   ${CSYNC_LIBRARY}
   ${CSTDLIB_LIBRARY}
   ${CSYNC_REQUIRED_LIBRARIES}
-  ${INIPARSER_LIBRARIES}
   ${SQLITE3_LIBRARIES}
+  ${NEON_LIBRARIES}
+  ${HTTPBF_LIBRARY}
 )
 
-if(ICONV_FOUND AND WITH_ICONV)
-    list(APPEND CSYNC_PRIVATE_INCLUDE_DIRS ${ICONV_INCLUDE_DIRS})
+if(HAVE_ICONV AND WITH_ICONV)
+    list(APPEND CSYNC_PRIVATE_INCLUDE_DIRS ${ICONV_INCLUDE_DIR})
     list(APPEND CSYNC_LINK_LIBRARIES ${ICONV_LIBRARIES})
 endif()
 
@@ -69,7 +69,6 @@
 
   csync_update.c
   csync_reconcile.c
-  csync_propagate.c
 
   csync_rename.cc
 
@@ -77,9 +76,13 @@
   vio/csync_vio_handle.c
   vio/csync_vio_file_stat.c
   vio/csync_vio_local.c
+
+  csync_owncloud.c
+  csync_owncloud_recursive_propfind.c
+  csync_owncloud_util.c
 )
 
-configure_file(csync_version.h.in csync_version.h)
+configure_file(csync_version.h.in ${CMAKE_CURRENT_BINARY_DIR}/csync_version.h)
 
 set(csync_HDRS
   ${CMAKE_CURRENT_BINARY_DIR}/csync_version.h
@@ -91,9 +94,9 @@
   vio/csync_vio_module.h
 )
 
-# Statically include sqlite and iniparser
+# Statically include sqlite
 if (CSYNC_STATIC_COMPILE_DIR)
-    list(APPEND csync_SRCS ${CSYNC_STATIC_COMPILE_DIR}/dictionary.c ${CSYNC_STATIC_COMPILE_DIR}/iniparser.c ${CSYNC_STATIC_COMPILE_DIR}/sqlite3.c)
+    list(APPEND csync_SRCS ${CSYNC_STATIC_COMPILE_DIR}/dictionary.c  ${CSYNC_STATIC_COMPILE_DIR}/sqlite3.c)
 endif()
 
 include_directories(
