=== debian/changelog ===
ocsync (0.91.4-1) unstable; urgency=medium

  * New upstream stable release.
  * Updated debian/copyright
  * Track stable version of ocsync and release to unstable.
  * Removed applied patches:
    - freebsd.patch
    - patch_max.patch

 -- Sandro Knauß <bugs@sandroknauss.de>  Fri, 13 Dec 2013 15:28:06 +0100

ocsync (0.91.1-1) experimental; urgency=low

  * New upstream release
  * Removed osync package:
    - No more ocsync executeable
  * Removed packages (included now in libocsync):
    - libocsync-plugin-owncloud
    - libocsync-plugin-smb
    - libocsync-plugin-sftp
  * Remove nonexisting Recommends
  * Bumped Standards-Version
  * Added httpbf files to libocsync-dev
  * Updated debian/libocsync0.symbols
  * Updated debian/copyright
  * Updated debian/watch to match for testing
  * Removed patches:
    - 0001-csync_config-Drop-iniparser-dependency.patch
    - find-libsmbclientclient.patch

 -- Sandro Knauß <bugs@sandroknauss.de>  Sun, 08 Dec 2013 21:52:39 +0100
