=== debian/control ===
Source: ocsync
Section: net
Priority: optional
Maintainer: ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>
Uploaders: Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: debhelper (>= 9), cmake, libsqlite3-dev, libneon27-gnutls-dev, libssh-dev,
 libsmbclient-dev, check, pkg-kde-tools
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-owncloud/ocsync.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-owncloud/ocsync.git
Homepage: http://owncloud.org/sync-clients/

Package: libocsync0
Section: libs
Architecture: any
Multi-Arch: same
Provides: libocsync-plugin-owncloud, libocsync-plugin-smb, libocsync-plugin-sftp
Replaces: libocsync-plugin-owncloud, libocsync-plugin-smb, libocsync-plugin-sftp
Breaks: libocsync-plugin-owncloud, libocsync-plugin-smb, libocsync-plugin-sftp
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: library for user level bidirectional client only file synchronizer
 This is the major library for csync.
 .
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.

Package: libocsync-dev
Architecture: any
Section: libdevel
Depends: libocsync0 (= ${binary:Version}), ${misc:Depends}
Description: development files for ocsync
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.
 .
 This package contains the library development files.
