=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,4 @@
 # Compulsory line, this is a version 3 file
 version=3
 
-http://owncloud.org/sync-clients/ http://download.owncloud.com/download/ocsync-(.*)\.tar\.bz2
+http://owncloud.org/sync-clients/ http://download.owncloud.com/desktop/stable/ocsync-(.*)\.tar\.bz2
