## ocsync 0.91.4-1

=== CMakeLists.txt ===
--- 
+++ 
@@ -65,7 +65,7 @@
     add_subdirectory(tests)
 endif (CMOCKA_FOUND AND UNIT_TESTING)
 
-configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/csync_compconfig.h)
 configure_file(config_test.h.cmake  ${CMAKE_CURRENT_BINARY_DIR}/config_test.h)
