=== src/CMakeLists.txt ===
--- 
+++ 
@@ -86,6 +86,7 @@
 
 set(csync_HDRS
   ${CMAKE_CURRENT_BINARY_DIR}/csync_version.h
+  ${CMAKE_CURRENT_BINARY_DIR}/../csync_compconfig.h
   csync.h
   vio/csync_vio.h
   vio/csync_vio_file_stat.h
@@ -105,6 +106,7 @@
 )
 
 add_library(${CSYNC_LIBRARY} SHARED ${csync_SRCS})
+#SET(CMAKE_C_FLAGS "-Wall -O0 -ggdb -fstack-protector-all")
 
 target_link_libraries(${CSYNC_LINK_LIBRARIES})
