=== debian/changelog ===
ocsync (0.91.4-1) unstable; urgency=low

  * Initial release

 -- Ralf Dragon <dragon@vision.ee.ethz.ch>  Sun, 26 Jan 2014 12:22:33 +0000
