=== debian/control ===
Source: ocsync
Priority: extra
Maintainer: Ralf Dragon <dragon@vision.ee.ethz.ch>
Build-Depends: debhelper (>= 7), cmake, maemo-optify, libneon27-dev, libneon27, libsqlite3-dev, libsqlite3-0, qtkeychain-dev, qtkeychain
Standards-Version: 3.8.3
Section: libs
Homepage: http://download.owncloud.com

Package: ocsync-dev
Section: libdevel
Architecture: any
Depends: ocsync (= ${binary:Version}), qtkeychain-dev, libneon27-dev, libsqlite3-dev
Description: Owncloud version of csync (development files)

Package: ocsync
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} qtkeychain, libneon27, libsqlite3-0
Description: Owncloud version of csync
